Windows, Macintosh and Linux users all should now update to the latest version of Adobe Flash player and Adobe AIR as the company has recently addressed 18 vulnerabilities in the software.

Users should download the latest Flash Player, version 15.0.0.223, after numerous bugs were patched, many of which were given a priority rating of “1”, which means that the vulnerability has a higher risk of being targeted by an attacker, according to the recent security bulletin.

Updating to the latest version of the software resolves memory corruption, use-after-free, heap buffer overflow, type confusion, double free and permission issue vulnerabilities, all which could lead to code execution or privilege escalation.

The bugs address in Adobe AIR carry a “3” rating, which have difficult to exploit. AIR users should update to version 15.0.0.356.